Subject: Re: dllwrap and excluded symbols
From: Tim Reed <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: DJ Delorie <[email-masked]>, [email-masked]
Date: Wed, 11 Oct 2000 11:03:39 -0700 (PDT)

The command line I am using for the dll is

dllwrap --target=i386-mingw32 -mno-cygwin --driver-flags -O0 -g
-L/usr/local/lib/ -L/usr/local/i386-mingw32/lib/ -lmsvcrt -lwsock32 -static
-mno-cygwin -v -H -liberty --export-all --output-def viaworks.def
--driver-name gcc -o viaworks.dll -lgmp -lwsock32 -lmsvcrt

And for a compiled program I use

gcc    acoset_test.o acoset.o ../lib/vsp/base64.o ../lib/libvia.a  -O0 -g
-L/usr/local/lib/ -L/usr/local/i386-mingw32/lib/ -lmsvcrt -lwsock32 -static
-mno-cygwin -v -H -liberty -L/usr/local/lib/ -lgmp -lm  -L../lib/ -lvia  -o
acoset_test

At least, that's what my Makefile is generating. You'll note that I'm using
gmp compiled for mingw and the gcc version is 2.95.2 19991024 (release 2).

Using objdump -p I found that malloc is being linked to msvcrt.dll and not
crtdll in both my program and my dll. My dll still links in crtdll because
it uses some functions for entering and exiting the dll code, basically
it's called _GetMainArgs, atexit, _environ_dll, and the like.

I mentioned earlier that removing msvcrt from the dll compilation command
doesn't solve the problem. Do you think using msvcrt and removing crtdll
is the solution? Is that possible?

Hope that tells you something...

On Wed, 11 Oct 2000, Earnie Boyd wrote:

> --- Tim Reed <[email-masked]> wrote:
> > 
> > I've attempted to use each individually and both of them. None of these
> > combinations seems to work in Window 2000. The standard way I compiled it
> > in Windows98 was to link both libraries and that works fine.
> > 
> 
> Give us the command line you're using.  You should only use one or the other
> not both at the same time.  Most likely the functions from the first one in the
> command line is the one that was used.
> 
> > Why do you ask?
> > 
> 
> -mno-cygwin uses the crtdll.
> 
> Cheers,
> 
> =====
> Earnie Boyd
> mailto:[email-masked]
> 
> ---         <http://earniesystems.safeshopper.com>         ---
> --- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
> ---   Minimalist GNU for Windows <http://www.mingw.org/>   ---
> 
> __________________________________________________
> Do You Yahoo!?
> Get Yahoo! Mail - Free email you can access from anywhere!
> http://mail.yahoo.com/
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]